summaryrefslogtreecommitdiffstats
path: root/network/gtk-gnutella/gtk-gnutella.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/gtk-gnutella/gtk-gnutella.SlackBuild')
-rw-r--r--network/gtk-gnutella/gtk-gnutella.SlackBuild80
1 files changed, 80 insertions, 0 deletions
diff --git a/network/gtk-gnutella/gtk-gnutella.SlackBuild b/network/gtk-gnutella/gtk-gnutella.SlackBuild
new file mode 100644
index 0000000000..c290d41053
--- /dev/null
+++ b/network/gtk-gnutella/gtk-gnutella.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for GTK Gnutella
+
+# Written by Zbigniew Baniewski, zb@ispid.com.pl
+
+PRGNAM=gtk-gnutella
+VERSION=0.96.8
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar jxvf $CWD/${PRGNAM}-${VERSION}.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./build.sh \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --cflags="$SLKCFLAGS"
+make install INSTALL_PREFIX=$PKG
+
+# Move man-page manually (seems to be forgotten by the install routine)
+mkdir -p $PKG/usr/man/man1
+cp src/gtk-gnutella.man $PKG/usr/man/man1/gtk-gnutella.1
+
+find $PKG/usr/bin | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS GEO_LICENSE MANIFEST README ChangeLog TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}